04.07.2022

Уязвимости в драйвере NTFS-3G, позволяющие получить root-доступ в системе

В выпуске проекта NTFS-3G 2022.5.17, развивающего драйвер и набор утилит для работы с файловой системой NTFS в пространстве пользователя, устранено 8 уязвимостей, позволяющих поднять свои привилегии в системе. Проблемы вызваны отсутствием должных проверок при обработке опций командной строки и при работе с метаданными в NTFS-разделах.

  • CVE-2022-30783, CVE-2022-30785, CVE-2022-30787 — уязвимости в драйвере NTFS-3G, собранном со встроенной библиотекой libfuse (libfuse-lite) или с системной библиотекой libfuse2. Атакующий может выполнить произвольный код с правами root через манипуляцию с опциями командной строки, при наличии доступа к исполняемому файлу ntfs-3g, поставляемому с флагом suid root. Для уязвимостей продемонстрирован рабочий прототип эксплоита.
  • CVE-2021-46790, CVE-2022-30784, CVE-2022-30786, CVE-2022-30788, CVE-2022-30789 — уязвимости в коде разбора метаданных в NTFS-разделах, приводящие к переполнению буфера из-за отсутствия должных проверок. Атака может быть совершена при обработке NTFS-3G раздела, подготовленного злоумышленником. Например, при монтировании пользователем накопителя, подготовленного атакующим, или при наличии у атакующего непривилегированного локального доступа к системе. Если система настроена для автоматического монтирования разделов NTFS на внешних накопителях, для атаки достаточно подключить к компьютеру USB Flash со специальной оформленным разделом. Рабочие экспоиты для указанных уязвимостей пока не продемнострированы.

Источник.